
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_{un,}interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

(akpm: this patch relies on other stuff in -mm, please don't apply)

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: Jens Axboe <axboe@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/cdrom/sbpcd.c     |    3 +--
 drivers/cdrom/sonycd535.c |    3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/cdrom/sbpcd.c~drivers-cdrom-fix-up-schedule_timeout-usage drivers/cdrom/sbpcd.c
--- 25/drivers/cdrom/sbpcd.c~drivers-cdrom-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:44 2005
+++ 25-akpm/drivers/cdrom/sbpcd.c	Wed Aug 17 17:00:44 2005
@@ -827,8 +827,7 @@ static void mark_timeout_audio(u_long i)
 static void sbp_sleep(u_int time)
 {
 	sti();
-	current->state = TASK_INTERRUPTIBLE;
-	schedule_timeout(time);
+	schedule_interruptible_timeout(time);
 	sti();
 }
 /*==========================================================================*/
diff -puN drivers/cdrom/sonycd535.c~drivers-cdrom-fix-up-schedule_timeout-usage drivers/cdrom/sonycd535.c
--- 25/drivers/cdrom/sonycd535.c~drivers-cdrom-fix-up-schedule_timeout-usage	Wed Aug 17 17:00:44 2005
+++ 25-akpm/drivers/cdrom/sonycd535.c	Wed Aug 17 17:00:44 2005
@@ -1478,8 +1478,7 @@ static int __init sony535_init(void)
 	/* look for the CD-ROM, follows the procedure in the DOS driver */
 	inb(select_unit_reg);
 	/* wait for 40 18 Hz ticks (reverse-engineered from DOS driver) */
-	set_current_state(TASK_INTERRUPTIBLE);
-	schedule_timeout((HZ+17)*40/18);
+	schedule_timeout_interruptible((HZ+17)*40/18);
 	inb(result_reg);
 
 	outb(0, read_status_reg);	/* does a reset? */
_
